import { MetaDataModel, StateClass } from './internals';
export declare type OverwriteTuple = [StateClass, any];
/**
 * Action to clear all state except given state(s)
 */
export declare class StateClear {
    readonly statesToKeep: MetaDataModel[];
    static readonly type = "@@CLEAR_STATE";
    constructor(...statesToKeep: StateClass[]);
    constructor();
}
/**
 * Action to reset given state(s) to defaults
 */
export declare class StateReset {
    readonly statesToReset: MetaDataModel[];
    static readonly type = "@@RESET_STATE";
    constructor(...statesToReset: StateClass[]);
}
/**
 * Action to reset all states expect given state(s) to defaults
 */
export declare class StateResetAll {
    readonly statesToKeep: MetaDataModel[];
    static readonly type = "@@RESET_STATE_ALL";
    constructor(...statesToKeep: StateClass[]);
    constructor();
}
/**
 * Action to overwrite state(s) with given value(s)
 */
export declare class StateOverwrite {
    readonly statesToOverwrite: MetaDataModel[];
    readonly values: any[];
    static readonly type = "@@OVERWRITE_STATE";
    constructor(...overwriteConfigs: OverwriteTuple[]);
}
export declare function getMetaData(state: StateClass, devMode: number): MetaDataModel | null;
